List Catalog Entities
curl --request GET \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/entities \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"backstage_id": "<string>",
"properties": [
{
"catalog_property_id": "<string>",
"value": "<string>"
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: catalog,properties
catalog, properties comma separated if needed. eg: created_at,updated_at
created_at, -created_at, updated_at, -updated_at, position, -position Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/catalogs/{catalog_id}/entities \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "catalog_entities",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"backstage_id": "<string>",
"properties": [
{
"catalog_property_id": "<string>",
"value": "<string>"
}
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
}
}